-- Instant blueprint: when a ghost entity is placed, instantly revive it. Also, raise on_built_entity event so that other mods know that the entity is built.
local function on_built_entity_for_instant_blueprint(event)
	-- Tile ghost is not included here.
	if event.created_entity.name == "entity-ghost" then

		-- Revive entity.
		local _, revived_entity = event.created_entity.revive()
		if revived_entity and revived_entity.valid then
						
			-- Raise event.
			game.raise_event(defines.events.on_built_entity,
			{
				player_index = reviver_player_index,
				created_entity = revived_entity
			})
		end
		
	end
end
script.on_event(defines.events.on_built_entity,			on_built_entity_for_instant_blueprint)
script.on_event(defines.events.on_robot_built_entity,	on_built_entity_for_instant_blueprint)